Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenChildContainer

All Superinterfaces:
  EObject, GenCommonBase, GenContainerBase, Notifier

All Known Subinterfaces:
  GenChildLabelNode, GenChildNode, GenCompartment, GenNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildContainerImpl, GenChildLabelNodeImpl, GenChildNodeImpl, GenCompartmentImpl, GenNodeImpl, GenTopLevelNodeImpl

public interface GenChildContainer
extends GenContainerBase

A representation of the model object 'Gen Child Container'. Base class for all ChildNode containers

The following features are supported:

- `Child Nodes`
- `Canonical Edit Policy Class Name`

See Also:
  `GMFGenPackage.getGenChildContainer()`
** Generated **
Model:
  abstract="true"

Field Summary
`static java.lang.String` `CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`java.lang.String` `getCanonicalEditPolicyClassName()` Returns the value of the 'Canonical Edit Policy Class Name' attribute
`java.lang.String` `getCanonicalEditPolicyQualifiedClassName()`
`EList` `getChildNodes()` Returns the value of the 'Child Nodes' reference list.
`void` `setCanonicalEditPolicyClassName(java.lang.String value)` Sets the value of the '`Canonical Edit Policy Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getContainedNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CANONICAL_EDIT_POLICY_SUFFIX

    public static final java.lang.String CANONICAL_EDIT_POLICY_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getChildNodes

    public EList getChildNodes()

  Returns the value of the 'Child Nodes' reference list. The list contents are of type `GenChildNode`. It is bidirectional and its opposite is '`Containers`'.

  If the meaning of the 'Child Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Child Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenChildContainer_ChildNodes()`, `GenChildNode.getContainers()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenChildNode" opposite="containers"

### getCanonicalEditPolicyClassName

    public java.lang.String getCanonicalEditPolicyClassName()

  Returns the value of the 'Canonical Edit Policy Class Name' attribute.

  If the meaning of the 'Canonical Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `GenChildContainer.setCanonicalEditPolicyClassName(String)`, `GMFGenPackage.getGenChildContainer_CanonicalEditPolicyClassName()`
  ** Generated **
  Model:

### setCanonicalEditPolicyClassName

    public void setCanonicalEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Canonical Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `GenChildContainer.getCanonicalEditPolicyClassName()`
  ** Generated **

### getCanonicalEditPolicyQualifiedClassName

    public java.lang.String getCanonicalEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.